Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.flume.appender
Class FlumeAvroManager

    java.lang.Object
      org.apache.logging.log4j.core.appender.AbstractManager
          org.apache.logging.log4j.flume.appender.AbstractFlumeManager
              org.apache.logging.log4j.flume.appender.FlumeAvroManager

Direct Known Subclasses:
  FlumePersistentManager

    public class FlumeAvroManager

extends AbstractFlumeManager

Manager for FlumeAvroAppenders.

Field Summary

Fields inherited from class org.apache.logging.log4j.core.appender.AbstractManager
`count, LOGGER`

Constructor Summary
`protected` | `FlumeAvroManager(String name, String shortName, Agent[] agents, int batchSize, int retries, int connectTimeout, int requestTimeout)` Constructor

Method Summary
`Agent[]` | `getAgents()` Returns the agents.
`int` | `getBatchSize()`
`int` | `getConnectTimeoutMillis()`
`int` | `getCurrent()` Returns the index of the current agent.
`static FlumeAvroManager` | `getManager(String name, Agent[] agents, int batchSize, int retries, int connectTimeoutMillis, int requestTimeoutMillis)` Returns a FlumeAvroManager.
`int` | `getRequestTimeoutMillis()`
`int` | `getRetries()`
`protected void` | `releaseSub()`
`void` | `send(BatchEvent events)`
`void` | `send(org.apache.flume.Event event)`

Methods inherited from class org.apache.logging.log4j.core.appender.AbstractManager
`getContentFormat, getCount, getManager, getName, hasManager, release`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FlumeAvroManager

    protected FlumeAvroManager(String name,
                               String shortName,
                               Agent[] agents,
                               int batchSize,
                               int retries,
                               int connectTimeout,
                               int requestTimeout)

  Constructor

  Parameters:
    `name` - The unique name of this manager.
    `agents` - An array of Agents.
    `batchSize` - The number of events to include in a batch.
    `retries` - The number of times to retry connecting before giving up.
    `connectTimeout` - The connection timeout in ms.
    `requestTimeout` - The request timeout in ms.

Method Detail

### getManager

    public static FlumeAvroManager getManager(String name,
                                              Agent[] agents,
                                              int batchSize,
                                              int retries,
                                              int connectTimeoutMillis,
                                              int requestTimeoutMillis)

  Returns a FlumeAvroManager.

  Parameters:
    `name` - The name of the manager.
    `agents` - The agents to use.
    `batchSize` - The number of events to include in a batch.
    `retries` - The number of times to retry connecting before giving up.
    `connectTimeoutMillis` - The connection timeout in ms.
    `requestTimeoutMillis` - The request timeout in ms.
  Returns:
    A FlumeAvroManager.

### getAgents

    public Agent[] getAgents()

  Returns the agents.

  Returns:
    The agent array.

### getCurrent

    public int getCurrent()

  Returns the index of the current agent.

  Returns:
    The index for the current agent.

### getRetries

    public int getRetries()

### getConnectTimeoutMillis

    public int getConnectTimeoutMillis()

### getRequestTimeoutMillis

    public int getRequestTimeoutMillis()

### getBatchSize

    public int getBatchSize()

### send

    public void send(BatchEvent events)

### send

    public void send(org.apache.flume.Event event)

  Specified by:
    `send` in class `AbstractFlumeManager`

### releaseSub

    protected void releaseSub()

  Overrides:
    `releaseSub` in class `org.apache.logging.log4j.core.appender.AbstractManager`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.